Permalink
Browse files

v0.2.3, make enter-exception use cat --ex instead of whereami

  • Loading branch information...
banister committed Oct 4, 2012
1 parent 898c9a6 commit b7dd7a3780121f410a02e7cdd2799f0e8e932b80
@@ -55,7 +55,7 @@ def process
# 'run' works on the current target which hasnt been updated
# yet, whereas _pry_.run_command operates on the newly
# updated target (the context of the exception)
- _pry_.run_command "whereami"
+ _pry_.run_command "cat --ex 0"
elsif ex
raise Pry::CommandError, "Exception can't be entered! (perhaps an internal exception)"
else
@@ -1,3 +1,3 @@
module PryExceptionExplorer
- VERSION = "0.2.2"
+ VERSION = "0.2.3"
end
@@ -2,7 +2,7 @@
Gem::Specification.new do |s|
s.name = "pry-exception_explorer"
- s.version = "0.2.2"
+ s.version = "0.2.3"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["John Mair (banisterfiend)"]

0 comments on commit b7dd7a3

Please sign in to comment.